# Xyverz's ErgoDox EZ Keymap

## Please Note:

This keymap will probably **not** work with the Infinity ErgoDox. It will need **substantial** modification in order to work on the Infinity. This is due to the fact that the mappings are based on the matrix positions in the keymap definition in the ez.h file. If you want to use this for the infinity, you'll need to figure out where the keys are in the matrix and redo the layout arrays below.

## About this keymap:

The Dvorak layout shown herestems from my early Kinesis years, using the Contour PS/2 with a Dvorak software layout. Because of this, the RBRC and LBRC were on opposite sides of the board in the corner keys. I've decided to continue using this layout with my ErgoDox.

The QWERTY layout shown here is based entirely on the Kinesis Advantage layout, with the additional keys as shown in the diagrams. The Colemak layout is merely an adaptation of that.

I've enabled persistent keymaps for Qwerty, Dvorak and Colemak layers, similar to the default Planck layouts.

For a better explanation of the layout matrices shown below, take a look at ../../ez/ez.h where the keymap is defined, beginning on line 81.

### Layer 0: Dvorak layer

	,--------------------------------------------------.,--------------------------------------------------.
	|   ]    |   1  |   2  |   3  |   4  |   5  | ESC  || ESC  |   6  |   7  |   8  |   9  |   0  |   [    |
	|--------+------+------+------+------+-------------||------+------+------+------+------+------+--------|
	| Tab    |   '  |   ,  |   .  |   Y  |   Y  |      ||      |   F  |   G  |   C  |   R  |   L  |   \    |
	|--------+------+------+------+------+------|      ||      |------+------+------+------+------+--------|
	| CapsLk |   A  |   O  |   E  |   U  |   I  |------||------|   D  |   H  |   T  |   N  |   S  |   -    |
	|--------+------+------+------+------+------| _MD  || _KP  |------+------+------+------+------+--------|
	| LShift |   Z  |   X  |   C  |   V  |   X  |      ||      |   B  |   M  |   W  |   V  |   Z  | RShift |
	`--------+------+------+------+------+-------------'`-------------+------+------+------+------+--------'
	  | LGUI |   `  |  INS | Left | Rght |                            |  Up  |  Dn  |   /  |   =  | RGUI |
	  `----------------------------------'                            `----------------------------------'
	                                     ,-------------.,-------------.
	                                     | LCtr | LAlt || Ralt | RCtr |
	                              ,------|------|------||------+------+------.
	                              |      |      | Home || PgUp |      |      |
	                              | BkSp | Del  |------||------| Enter| Space|
	                              |      |      | End  || PgDn |      |      |
	                              `--------------------'`--------------------'

### Layer 1: QWERTY layer

	,--------------------------------------------------.,--------------------------------------------------.
	|   =    |   1  |   2  |   3  |   4  |   5  | ESC  || ESC  |   6  |   7  |   8  |   9  |   0  |   -    |
	|--------+------+------+------+------+-------------||------+------+------+------+------+------+--------|
	| Tab    |   Q  |   W  |   E  |   R  |   T  |      ||      |   Y  |   U  |   I  |   O  |   P  |   \    |
	|--------+------+------+------+------+------|      ||      |------+------+------+------+------+--------|
	| CapsLk |   A  |   S  |   D  |   F  |   G  |------||------|   H  |   J  |   K  |   L  |   ;  |   '    |
	|--------+------+------+------+------+------| _MD  || _KP  |------+------+------+------+------+--------|
	| LShift |   Z  |   X  |   C  |   V  |   B  |      ||      |   N  |   M  |   ,  |   .  |   /  | RShift |
	`--------+------+------+------+------+-------------'`-------------+------+------+------+------+--------'
	  | LGUI |   `  |  INS | Left | Rght |                            |  Up  |  Dn  |   [  |   ]  | RGUI |
	  `----------------------------------'                            `----------------------------------'
	                                     ,-------------.,-------------.
	                                     | LCtr | LAlt || Ralt | RCtr |
	                              ,------|------|------||------+------+------.
	                              |      |      | Home || PgUp |      |      |
	                              | BkSp | Del  |------||------| Enter| Space|
	                              |      |      | End  || PgDn |      |      |
	                              `--------------------'`--------------------'
	 
### Keymap 2: Colemak layer

	,--------------------------------------------------.,--------------------------------------------------.
	|   =    |   1  |   2  |   3  |   4  |   5  | ESC  || ESC  |   6  |   7  |   8  |   9  |   0  |   -    |
	|--------+------+------+------+------+-------------||------+------+------+------+------+------+--------|
	| Tab    |   Q  |   W  |   F  |   P  |   G  |      ||      |   J  |   L  |   U  |   Y  |   ;  |   \    |
	|--------+------+------+------+------+------|      ||      |------+------+------+------+------+--------|
	| BkSpc  |   A  |   R  |   S  |   T  |   D  |------||------|   H  |   N  |   E  |   I  |   O  |   '    |
	|--------+------+------+------+------+------| _MD  || _KP  |------+------+------+------+------+--------|
	| LShift |   Z  |   X  |   C  |   V  |   B  |      ||      |   K  |   M  |   ,  |   .  |   /  | RShift |
	`--------+------+------+------+------+-------------'`-------------+------+------+------+------+--------'
	  | LGUI |   `  |  INS | Left | Rght |                            |  Up  |  Dn  |   [  |   ]  | RGUI |
	  `----------------------------------'                            `----------------------------------'
	                                     ,-------------.,-------------.
	                                     | LCtr | LAlt || Ralt | RCtr |
	                              ,------|------|------||------+------+------.
	                              |      |      | Home || PgUp |      |      |
	                              | BkSp | Del  |------||------| Enter| Space|
	                              |      |      | End  || PgDn |      |      |
	                              `--------------------'`--------------------'

### layer 3 : Media layer

	,--------------------------------------------------.,--------------------------------------------------.
	| TEENSY |  F1  |  F2  |  F3  |  F4  |  F5  | F11  ||  F12 |  F6  |  F7  |  F8  |  F9  |  F10 |        |
	|--------+------+------+------+------+-------------||------+------+------+------+------+------+--------|
	|        |      | PrSc | ScLk | Paus |      |      ||      |      | Mute | Vol- | Vol+ |      |        |
	|--------+------+------+------+------+------|      ||      |------+------+------+------+------+--------|
	|        |      |      |      |      |      |------||------| Stop | Prev | Play | Next | Sel  |        |
	|--------+------+------+------+------+------|      ||      |------+------+------+------+------+--------|
	|        |      |Dvorak|Qwerty|Colemk|      |      ||      |      |      |      |      |      |        |
	`--------+------+------+------+------+-------------'`-------------+------+------+------+------+--------'
	  |      |      |      |      |      |                            |      |      |      |      |      |
	  `----------------------------------'                            `----------------------------------'
	                                     ,-------------.,-------------.
	                                     |      |      ||      |      |
	                              ,------|------|------||------+------+------.
	                              |      |      |      ||      |      |      |
	                              |      |      |------||------|      |      |
	                              |      |      |      ||      |      |      |
	                              `--------------------'`--------------------'



### Keymap 4: Keypad layer

	,--------------------------------------------------.,--------------------------------------------------.
	| Power  |      |      |      |      |      |      ||      |      | NmLk | KP / | KP * | KP - |        |
	|--------+------+------+------+------+-------------||------+------+------+------+------+------+--------|
	| Sleep  |      |      |      |      |      |      ||      |      | KP 7 | KP 8 | KP 9 | KP + |        |
	|--------+------+------+------+------+------|      ||      |------+------+------+------+------+--------|
	| Wake   |      |      |      |      |      |------||------|      | KP 4 | KP 5 | KP 6 | KP + |        |
	|--------+------+------+------+------+------|      ||      |------+------+------+------+------+--------|
	|        |      |      |      |      |      |      ||      |      | KP 1 | KP 2 | KP 3 |KP Ent|        |
	`--------+------+------+------+------+-------------'`-------------+------+------+------+------+--------'
	  |      |      |      |      |      |                            | KP 0 |      | KP . |KP Ent|      |
	  `----------------------------------'                            `----------------------------------'
	                                     ,-------------.,-------------.
	                                     |      |      ||      |      |
	                              ,------|------|------||------+------+------.
	                              |      |      |      ||      |      |      |
	                              |      |      |------||------|      |      |
	                              |      |      |      ||      |      |      |
	                              `--------------------'`--------------------'